/*
sample program of ev2d

> cl.exe /O2 sample2d.c ev2d.c
> gcc -O2 sample2d.c ev2d.c -o sample2d
*/

#include "ev.h"

int main(void)
{
	double px[4], py[4];

	// initialize

	ev2d_init(600, 400);

	// page 1

	ev2d_newPage();

	ev2d_drawLine(100, 50, 500, 100);

	ev2d_setColor(255, 0, 0);
	ev2d_drawLine(100, 100, 500, 50);

	ev2d_setColor(0, 255, 0);
	ev2d_drawRectangle(50, 150, 150, 300);

	ev2d_setColor(0, 0, 255);
	ev2d_fillRectangle(200, 150, 300, 300);

	ev2d_setColor(255, 0, 255);
	ev2d_drawTriangle(350, 150, 450, 150, 400, 300);

	ev2d_setColor(0, 255, 255);
	ev2d_fillTriangle(450, 150, 550, 150, 500, 300);

	// page 2

	ev2d_newPage();

	ev2d_setColor(0, 0, 255);
	ev2d_drawString(20, 360, 20, "abcABC123");

	ev2d_setColor(255, 0, 0);
	ev2d_drawQuadrangle(100, 200, 200, 150, 300, 200, 200, 250);

	ev2d_setColor(0, 255, 0);
	ev2d_fillQuadrangle(300, 200, 400, 150, 500, 200, 400, 250);

	ev2d_setColor(255, 0, 0);
	ev2d_drawEllipse(100, 50, 300, 150);

	ev2d_setColorV(0.5, 1);
	ev2d_fillEllipse(300, 50, 500, 150);

	ev2d_setColor(255, 0, 0);
	px[0] = 400; px[1] = 400; px[2] = 450; px[3] = 450;
	py[0] = 350; py[1] = 300; py[2] = 300; py[3] = 350;
	ev2d_drawPolyline(4, px, py);
	px[0] = 470; px[1] = 470; px[2] = 520; px[3] = 520;
	ev2d_drawPolygon(4, px, py);

	// output ev.ev2

	ev2d_output();

	// output ev2d.htm

	ev2d_file(0, "ev2d.htm");
	ev2d_output();

	return 0;
}
